import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  apiKey: z.string(),
  aiEnabled: z.boolean().optional(),
  openAiKey: z.string().optional(),
  openAiEnabled: z.boolean().optional(),
  claudeAiKey: z.string().optional(),
  claudeAiEnabled: z.boolean().optional(),
  claudeAiModel: z.string().optional(),
  openAiModel: z.string().optional(),
  googleAiModel: z.string().optional(),
  dentalMgmtKey: z.string().optional(),
  dentalMgmtEnabled: z.boolean().optional(),
  afterHoursEnabled: z.boolean().optional(),
  openPhoneReply: z.boolean().optional()
}).strict();
export const AiSettingsUncheckedCreateInputObjectSchema: z.ZodType<Prisma.AiSettingsUncheckedCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsUncheckedCreateInput>;
export const AiSettingsUncheckedCreateInputObjectZodSchema = makeSchema();
